Class | XSD::XSDHexBinary
In: | xsd/datatypes.rb
Parent: | XSDAnySimpleType

### Methods

new set_encoded string

### Constants

Type | = | QName.new(Namespace, HexBinaryLiteral)

### Public Class methods

new(value = nil)

String in Ruby could be a binary.

[Source]

    # File xsd/datatypes.rb, line 876
      def initialize(value = nil)
        init(Type, value)
      end

### Public Instance methods

set_encoded(value)

[Source]

    # File xsd/datatypes.rb, line 880
      def set_encoded(value)
        if /^[0-9a-fA-F]*$/ !~ value
          raise ValueSpaceError.new("#{ type }: cannot accept '#{ value }'.")
        end
        @data = String.new(value).strip
        @is_nil = false
      end

string()

[Source]

    # File xsd/datatypes.rb, line 888
      def string
        [@data].pack("H*")
      end

[Validate]